# Introduction

This is a [Github Action](https://docs.github.com/en/actions/sharing-automations/creating-actions/creating-a-docker-container-action)
using Docker, with the intention to efficiently deploy to a k3s or k8s cluster using kustomize.

# Open Questions

- We use [kustomize](https://kustomize.io/). Is this overkill? As the complexity of deployments is not that high, usually, this may be more technical complexity than necessary. We could go back to using plain kubernetes manifests, and just have different ones for staging and prod.
- Is it worth using Github Actions? We could go back to using [woodpecker](https://woodpecker-ci.org/).
  - Advantages Github Actions:
    - execution time should be faster
    - it's closer to the mainstream
 - Advantages Woodpecker:
   - Current deployments use woodpecker already
   - Simpler technology (This is debatable)